Skip to content

Read one endpoint

GET
/v1/endpoints/{id}
curl --request GET \
--url https://api.hooks.events/v1/endpoints/example \
--header 'Authorization: Bearer <token>'

Requires the endpoints:read scope.

id
required
string

Success

Media typeapplication/json
object
data
required
object
id
required

Resource id

string
projectId
required
string
environmentId
required
string | null
environment
required

Resolved environment name

string
name
required
string
publicId
required

Path segment of the inbound /in/{publicId} URL

string
publicUrl
required
string
provider
required
string
status
required
string
Allowed values: active paused archived
verificationMode
required
string
Allowed values: none hmac shared-secret
hasSecret
required
boolean
hasPreviousSecret
required

A rotation is in progress; both secrets verify

boolean
secretRotatedAt
required
Any of:

ISO-8601 timestamp

string
sourceConfig
required
object
key
additional properties
hooks
required
object
key
additional properties
rateLimitPerMinute
required
Any of:
integer
>= -9007199254740991 <= 9007199254740991
rateLimitAction
required
string
Allowed values: store drop
createdAt
required

ISO-8601 timestamp

string
updatedAt
required

ISO-8601 timestamp

string
key
additional properties
key
additional properties

Example

{
"data": {
"status": "active",
"verificationMode": "none",
"rateLimitAction": "store"
}
}

Validation error

Media typeapplication/json
object
error
required
object
code
required

Machine-readable error code

string
message
required
string
requestId
required

Request id, also echoed in x-request-id

string
key
additional properties

Example generated

{
"error": {
"code": "example",
"message": "example",
"requestId": "example"
}
}

Missing or invalid credentials

Media typeapplication/json
object
error
required
object
code
required

Machine-readable error code

string
message
required
string
requestId
required

Request id, also echoed in x-request-id

string
key
additional properties

Example generated

{
"error": {
"code": "example",
"message": "example",
"requestId": "example"
}
}

The credential lacks the required scope, or the workspace is not writable

Media typeapplication/json
object
error
required
object
code
required

Machine-readable error code

string
message
required
string
requestId
required

Request id, also echoed in x-request-id

string
key
additional properties

Example generated

{
"error": {
"code": "example",
"message": "example",
"requestId": "example"
}
}

Resource not found

Media typeapplication/json
object
error
required
object
code
required

Machine-readable error code

string
message
required
string
requestId
required

Request id, also echoed in x-request-id

string
key
additional properties

Example generated

{
"error": {
"code": "example",
"message": "example",
"requestId": "example"
}
}

Rate limited

Media typeapplication/json
object
error
required
object
code
required

Machine-readable error code

string
message
required
string
requestId
required

Request id, also echoed in x-request-id

string
key
additional properties

Example generated

{
"error": {
"code": "example",
"message": "example",
"requestId": "example"
}
}
X-RateLimit-Limit
integer

Requests allowed per window

X-RateLimit-Remaining
integer
X-RateLimit-Reset
integer

Seconds until the window resets